# $Revision: 1.14 $, $Date: 2011/11/13 10:58:01 $
Summary:	A lightweight PDF viewer for GNOME
Summary(pl.UTF-8):	Lekka przeglądarka PDF-ów dla GNOME
Name:		epdfview
Version:	0.1.8
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	http://trac.emma-soft.com/epdfview/chrome/site/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	e50285b01612169b2594fea375f53ae4
Patch0:		%{name}-locale.patch
Patch1:		%{name}-desktop.patch
URL:		http://trac.emma-soft.com/epdfview/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel > 0.5.2
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ePDFView is a free lightweight PDF document viewer using Poppler and
GTK+ libraries.

The aim of ePDFView is to make a simple PDF document viewer, in the
lines of Evince but without using the GNOME libraries.

%description -l pl.UTF-8
ePDFView to darmowa, lekka przeglądarka dokumentów PDF, używająca
bibliotek Poppler i GTK+.

Celem ePDFView jest zrobienie prostej przeglądarki dokumentów PDF w
stylu Evince, ale bez wykorzystywania bibliotek GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# locales quick fix
%{__mv} po/pt_PT.gmo po/pt.gmo
%{__mv} po/pt_PT.po po/pt.po
%{__mv} po/he_IL.gmo po/he.gmo
%{__mv} po/he_IL.po po/he.po
%{__mv} po/nl_NL.gmo po/nl.gmo
%{__mv} po/nl_NL.po po/nl.po

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
ln $RPM_BUILD_ROOT%{_datadir}/epdfview/pixmaps/icon_epdfview-48.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
%{__sed} -i -e 's,Icon=icon_epdfview-48,Icon=%{name},' $RPM_BUILD_ROOT%{_desktopdir}/epdfview.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_bindir}/epdfview
%{_mandir}/man1/epdfview.1*
%{_datadir}/epdfview
%{_desktopdir}/epdfview.desktop
%{_pixmapsdir}/epdfview.png

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epdfview.spec,v $
Revision 1.14  2011/11/13 10:58:01  arekm
- release 4

Revision 1.13  2011/11/13 10:57:23  arekm
- release 3

Revision 1.12  2011/09/18 10:49:27  glen
- update-desktop-database, fix icon

Revision 1.11  2011/08/16 09:47:02  lisu
- notice poppler-0.16.patch removal in previous commit

Revision 1.10  2011/08/16 09:45:12  lisu
- updated to 0.1.8
- more locales fixes
- package man page
- more verbose files
- poppler-0.16.patch is now obsoleted

Revision 1.9  2010/12/28 11:39:07  lisu
- fix build with poppler 0.16
- use autotools
- rel 5

Revision 1.8  2010/12/28 09:21:04  lisu
- release 4 (new poppler)

Revision 1.7  2010/07/28 15:52:42  megabajt
- release 3

Revision 1.6  2010/05/13 12:00:51  baggins
- rel 2
- fixed desktop categories

Revision 1.5  2009/07/11 18:34:31  duddits
- rel. 1, works

Revision 1.4  2009/03/20 21:28:09  duddits
- small patch fixing locale names added
- BR: pkgconfig

Revision 1.3  2009/03/20 16:22:35  duddits
- up to 0.1.7

Revision 1.2  2007/06/02 19:57:23  qboosh
- gtk+2 epoch

Revision 1.1  2007/05/31 13:41:36  czarny
- new; seems to work and be quite done
